Hydrate Historical Plays
POST
/api/components/{id}/plays/historical
const url = 'https://example.com/api/components/example/plays/historical';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"type":"full"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/components/example/plays/historical \ --header 'Content-Type: application/json' \ --data '{ "type": "full" }'If the Source/Client supports Historical Play capabilities, this route requests a manual hydration of historical Plays
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
type
Use full to initiate a complete sync of all history or recent to sync the last ~100 plays.
string
Responses
Section titled “Responses”Success